using System;
using System.IO;

namespace SurfacePlot3D.Extensions
{
    public static partial class UniqueExtensions
    {
        public static String ReadFile(this String fullPath)
        {
            if (!File.Exists(fullPath)) return String.Empty;
            try
            {
                StreamReader streamReader = new StreamReader(fullPath);
                var fileContent = streamReader.ReadToEnd();
                streamReader.Close();
                streamReader.Dispose();
                streamReader = null;
                return fileContent;
            }
            catch (IOException ex)
            {
                String msg = ex.Message;

            }

            return String.Empty;
        }
    }
}